<template>
  <div>
    <nuxt/>
  </div>
</template>

<style>
html
{
  font-family: "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  font-size: 16px;
  word-spacing: 1px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  box-sizing: border-box;
}
*, *:before, *:after
{
  box-sizing: border-box;
  margin: 0;
}
.button--green
{
  display: inline-block;
  border-radius: 4px;
  border: 1px solid #3b8070;
  color: #3b8070;
  text-decoration: none;
  padding: 10px 30px;
}
.button--green:hover
{
  color: #fff;
  background-color: #3b8070;
}
.button--grey
{
  display: inline-block;
  border-radius: 4px;
  border: 1px solid #35495e;
  color: #35495e;
  text-decoration: none;
  padding: 10px 30px;
  margin-left: 15px;
}
.button--grey:hover
{
  color: #fff;
  background-color: #35495e;
}



.viewport{
  height: 100vh;
  display: flex;
  flex-flow: column;
  align-items: center;
  text-align: center;
  background-color: #FFFFFFDD;
  padding: 2em 1em 0em 1em;
  overflow: scroll;
}

.root {
  background-color: #AA2231;
}

section {
  width: 100%;
  margin-bottom: 2rem;
}

.create-account-form {
  min-height: 19rem;
}

@media screen and (min-width: 28rem) {
  .viewport {
    max-width: 28rem;
    margin-left: calc(50vw - 14rem);
  }
}

@media screen and (pointer: coarse) {
  .btn-touch {
    font-size: 1.3rem;
  }
  input {
    border: 1px solid gray;
    padding: 0.4rem 0.4rem 0rem 0.4rem;
    font-size: 1.3rem;
    border-radius: 0.5em;
  }
  
}

</style>
